/*********************************************************/
/***  How to produce Figures 1 and Appendix Figure A.1 ***/
/*  Note: 3a_WBgrowth_relevance.xlsx calculates std_beta */
/**** then run the following STATA code for Figure 1 *****/
/*********************************************************/

/***  First, load 3b_WBgrowth_relevance.csv into STATA  ***/
insheet using "../3b_WBgrowth_relevance.csv", clear /* available in repository; may need to adjust path */

* NOTE: if STATA produces an error like: "v1 not found" below, you may have to:
cap rename var1 v1
gen pos=12
replace pos=6 if v1=="dltot"
replace pos=3 if v1=="durbanpop"
replace pos=3 if v1=="lcredit"
replace pos=3 if v1=="dgini"
replace pos=6 if v1=="infra_index"
replace pos=9 if v1=="lkg"
replace pos=9 if v1=="lhc"

gen colorcode_large = 0
replace colorcode_large = 1 if negative_largemodel==. & insignificant_largemodel==.
replace colorcode_large = 2 if negative_largemodel==. & insignificant_largemodel==1
replace colorcode_large = 3 if negative_largemodel==1 & insignificant_largemodel==.
replace colorcode_large = 4 if negative_largemodel==1 & insignificant_largemodel==1

twoway (scatter stdbeta_large dominance_large if colorcode_large==1, mcol(blue) mlabcol(blue) mlab(v1) mlabpos(12) xtitle("goodness to explain variation in income") ytitle("partial correlation with income") legend(off)) ///
(scatter stdbeta_large dominance_large if colorcode_large==2, mcol(ltblue) mlabcol(ltblue) mlab(v1)) ///
(scatter stdbeta_large dominance_large if colorcode_large==3, mcol(cranberry) mlabcol(cranberry) mlab(v1)) ///
(scatter stdbeta_large dominance_large if colorcode_large==4, mcol(erose) mlabcol(erose) mlab(v1))

*se more on
*di "press any key or click on -more- to continue to producing Fig. A.1"
*more
*se more off

/* For Appendix Figure A.1 use the same .csv data but run the following code: */

gen colorcode_medium = 0
replace colorcode_medium = 1 if negative_medmodel==. & insignificant_medmodel==.
replace colorcode_medium = 2 if negative_medmodel==. & insignificant_medmodel==1
replace colorcode_medium = 3 if negative_medmodel==1 & insignificant_medmodel==.
replace colorcode_medium = 4 if negative_medmodel==1 & insignificant_medmodel==1

twoway (scatter stdbeta_med dominance_med if colorcode_medium==1, mcol(blue) mlabcol(blue) mlab(var1) mlabpos(12) xtitle("goodness to explain variation in income") ytitle("partial correlation with income") legend(off)) ///
(scatter stdbeta_med dominance_med if colorcode_medium==2, mcol(ltblue) mlabcol(ltblue) mlab(var1)) ///
(scatter stdbeta_med dominance_med if colorcode_medium==3, mcol(cranberry) mlabcol(cranberry) mlab(var1)) ///
(scatter stdbeta_med dominance_med if colorcode_medium==4, mcol(erose) mlabcol(erose) mlab(var1))
